Bug 147267 - PORT graphics/libglut should conflict with graphics/freeglut
Summary: PORT graphics/libglut should conflict with graphics/freeglut
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-01 05:30 UTC by Aldis Berjoza
Modified: 2011-06-29 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (295 bytes, patch)
2010-06-01 05:30 UTC, Aldis Berjoza
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2010-06-01 05:30:04 UTC
Bough graphics/freeglut and graphics/libglut install some files with same names
for example:
include/GL/glut.h
lib/libglut.so

freeglut already have CONFLICTS line in port, libglut should also have it

Fix: Patch attached with submission follows:
How-To-Repeat: uninstall libglut if you have it
install freeglut
install libglut
Comment 1 Edwin Groothuis freebsd_committer 2010-06-01 05:30:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Aldis Berjoza 2010-08-21 15:25:40 UTC
Anyone alive here? Send me a signal. :)


-- 
Aldis Berjoza
Comment 3 Chris Rees freebsd_committer 2011-06-29 19:05:43 UTC
Responsible Changed
From-To: freebsd-x11->crees

Maintainer timed out
Comment 4 dfilter service freebsd_committer 2011-06-29 20:29:42 UTC
crees       2011-06-29 19:29:29 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libglut     Makefile 
  Log:
  Add CONFLICTS to reciprocate with freeglut
  
  PR:             ports/147267
  Submitted by:   Aldis Berjoza <aldis@bsdroot.lv>
  Approved by:    rene (mentor), maintainer timeout (x11, ~370 days)
  
  Revision  Changes    Path
  1.26      +2 -0      ports/graphics/libglut/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2011-06-29 20:29:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!